/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.Tabs {
    border-radius: _size(border-radius);
    border: 1px solid _palette(border);
}
.Tabs__content {
    padding: 0 _size(element-margin);
}

.Tabs__head {
    display: flex;
    justify-content: space-arround;

    height: 3.75em;
    line-height: 3.75em;
    margin-bottom: _size(element-margin);

    @include unselectable();
}

.Tabs__head__label {
    display: flex;
    flex-grow: 1;
    justify-content: center;

    transition: all _duration(transition) ease-in-out;
    border-bottom: 1px solid _palette(border);

    color: inherit;
}
.Tabs__head__label:hover {
    background: _palette(border-bg);
    border-bottom: 1px solid _palette(border);
}
.Tabs__head__label--selected {
    background: _palette(border2-bg);
    border-bottom: 3px solid _palette(border2);
}
.Tabs__head__label--selected:hover {
    border-bottom: 5px solid _palette(border2);
}

@include breakpoint(small) {
    .Tabs__head {
        flex-direction: column;
        height: initial;
    }
}
